"""Mark participations for resubmission

See waskis/issue851

Revision ID: 4d91c3b7ccb3
Revises: 41cd835d879a
Create Date: 2015-12-09 12:43:01.221962

"""

# revision identifiers, used by Alembic.
revision = '4d91c3b7ccb3'
down_revision = '41cd835d879a'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE participations AS p SET has_errors = 't' FROM resultindicators AS r WHERE p.id = r.id AND status_end_measure = 1 AND planned_end_date < end_date;
UPDATE participations AS p SET has_errors = 't' FROM resultindicators AS r WHERE p.id = r.id AND status_end_measure = 0 AND planned_end_date >= end_date;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
